> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Item

GET https://api.npretail.app/{tenant}/{environment}/{company}/inventory/item/{id}

Get an item by its code

Reference: https://docs.navipartner.com/apis/api-reference/inventory/item/get-item

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `id` (string, required) — The unique identifier for an item.

### Query parameters

- `withAttributes` (boolean, optional) — Indicates whether the item attributes should be included in the response.
- `withVariants` (boolean, optional) — Indicates whether the item variants, with their variety values, should be included in the response as `variants`. Off by default.

## Response

### 200

- `baseUnitOfMeasure` (string, required)
- `code` (string, required)
- `crossVarietyNo` (enum, required) — The variety position used as the cross variety. The value is the same in every language.
  - Allowed values: `Variety1`, `Variety2`, `Variety3`, `Variety4`
- `description` (string, required)
- `description2` (string, required)
- `hasVariants` (boolean, required)
- `id` (UUID, required)
- `inventory` (double, required)
- `itemCategoryCode` (string, required)
- `itemDiscGroup` (string, required)
- `rowVersion` (string, required)
- `unitPrice` (double, required)
- `variety1` (string, required) — Variety code of position 1. Matches `code` in `GET /inventory/variety`.
- `variety1Table` (string, required) — Variety table code of position 1. Matches `code` in `GET /inventory/varietytable`.
- `variety2` (string, required)
- `variety2Table` (string, required)
- `variety3` (string, required)
- `variety3Table` (string, required)
- `variety4` (string, required)
- `variety4Table` (string, required)
- `varietyGroup` (string, required)
- `vatProdPostingGroup` (string, required)
- `vendorItemNo` (string, required)
- `vendorNo` (string, required)
- `attributes` (map from string to any, optional)
- `variants` (list of ItemVariantSummary, optional) — Returned only when `withVariants=true`.

## Types

### ItemVariantSummary

A variant of the item, returned when `withVariants=true`. The variety properties have the same meaning as on `GET /inventory/itemvariant`.

- `id` (UUID, required)
- `variantCode` (string, required)
- `description` (string, required)
- `description2` (string, required)
- `blocked` (boolean, required) — Whether the variant is blocked in Business Central. Hide blocked variants in your shop.
- `variety1` (string, required)
- `variety1Table` (string, required)
- `variety1Value` (string, required)
- `variety2` (string, required)
- `variety2Table` (string, required)
- `variety2Value` (string, required)
- `variety3` (string, required)
- `variety3Table` (string, required)
- `variety3Value` (string, required)
- `variety4` (string, required)
- `variety4Table` (string, required)
- `variety4Value` (string, required)

## Examples

**Response**

```json
{
  "baseUnitOfMeasure": "PCS",
  "code": "A1000",
  "crossVarietyNo": "Variety1",
  "description": "Office Chair",
  "description2": "Ergonomic Design",
  "hasVariants": true,
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "inventory": 42,
  "itemCategoryCode": "CHAIR",
  "itemDiscGroup": "FURNITURE",
  "rowVersion": "12345678901234567890",
  "unitPrice": 4000,
  "variety1": "COLOR",
  "variety1Table": "COLOR-STD",
  "variety2": "SIZE",
  "variety2Table": "SIZE-EU",
  "variety3": "",
  "variety3Table": "",
  "variety4": "",
  "variety4Table": "",
  "varietyGroup": "CHAIRS",
  "vatProdPostingGroup": "STANDARD",
  "vendorItemNo": "ADG-4577",
  "vendorNo": "01587796",
  "attributes": {
    "Color": "Black",
    "Depth": 70,
    "Width": 75,
    "Height": 100,
    "Material Description": "Leather, Satin Polished Aluminum base"
  },
  "variants": [
    {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "variantCode": "RED-42",
      "description": "Office Chair - Red 42",
      "description2": "",
      "blocked": false,
      "variety1": "COLOR",
      "variety1Table": "COLOR-STD",
      "variety1Value": "RED",
      "variety2": "SIZE",
      "variety2Table": "SIZE-EU",
      "variety2Value": "42",
      "variety3": "",
      "variety3Table": "",
      "variety3Value": "",
      "variety4": "",
      "variety4Table": "",
      "variety4Value": ""
    },
    {
      "id": "16fd2706-8baf-433b-82eb-8c7fada847da",
      "variantCode": "BLACK-44",
      "description": "Office Chair - Black 44",
      "description2": "",
      "blocked": true,
      "variety1": "COLOR",
      "variety1Table": "COLOR-STD",
      "variety1Value": "BLACK",
      "variety2": "SIZE",
      "variety2Table": "SIZE-EU",
      "variety2Value": "44",
      "variety3": "",
      "variety3Table": "",
      "variety3Value": "",
      "variety4": "",
      "variety4Table": "",
      "variety4Value": ""
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000"

querystring = {"withAttributes":"true","withVariants":"true"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./inventory/item/A1000?withAttributes=true&withVariants=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```